My iOS device is...

Running iOS 7.1.

Nothing yet.

Running iOS 7.0 through 7.0.6.

Yes! Use evasi0n7.

Or doge?

Running iOS 6.1.3 through 6.1.6.

Use p0sixspwn. For 6.1.6, redsn0w too.

Running iOS 6.0 through 6.1.2.

Sure! Use evasi0n by the evad3rs.

Running iOS 5.1.1.

Yep, just use redsn0w+absinthe2.

Running iOS 5.1.

iPhone 4S, iPad 2, and the new iPad: nothing.

Other devices: a tethered jailbreak is available.

You should bug the absinthe developers to support this iOS release.

Running iOS 5.0.1.

Sure: use redsn0w+corona.

Running iOS 5.0

iPhone 4S: redsn0w+corona. iPad 2: nothing.

Other devices: A tethered jailbreak is available.

You should bug the corona developers to support this iOS release.

Running iOS 4.2.9-10 or 4.3.4-5.

iPad 2: nothing.

Other devices: A tethered jailbreak is available.

You should bug the corona developers to support this iOS release.

Running iOS 4.2.6 through 4.2.8, or iOS 4.3 through 4.3.3.

Yep, you can use redsn0w.

(Or open JailbreakMe on the device itself.)

On iOS 4.1 through 4.2.1.

Sure, just use redsn0w.

Align the columns...

Align the columns...

On iOS 4.0 through 4.0.2.

Sure, just use geohot's limera1n.

You should bug the redsn0w developers to support this iOS release.